View Issue Details

IDProjectCategoryView StatusLast Update
0001559SymmetricDSImprovementpublic2014-02-06 19:39
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.5.15 
Target Version3.5.16Fixed in Version3.5.16 
Summary0001559: If there are no primary keys defined when the database writer is processing an update or delete report an error.
DescriptionIf there are no primary keys defined when the database writer is processing an update or delete report an error (versus not appending an where clause running the delete or update statement).
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 658fb079

2014-02-03 18:49:26

chenson

Details Diff
Fixed 0001559: If there are no primary keys defined when the database writer is processing an update or delete report an error.
0001559
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

SymmetricDS: master 98767b6a

2014-02-03 18:50:44

chenson

Details Diff
Fixed 0001559: If there are no primary keys defined when the database writer is processing an update or delete report an error.
0001559
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-02-03 18:48 chenson New Issue
2014-02-03 18:48 chenson Status new => assigned
2014-02-03 18:48 chenson Assigned To => chenson
2014-02-03 19:00 Changeset attached => SymmetricDS trunk r7909
2014-02-03 19:00 Changeset attached => SymmetricDS trunk r7910
2014-02-03 19:00 guest Status assigned => resolved
2014-02-03 19:00 guest Resolution open => fixed
2014-02-06 19:39 chenson Status resolved => closed
2014-02-06 19:39 chenson Fixed in Version => 3.5.16
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 98767b6a
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 658fb079
2015-07-30 21:50 chenson Status closed => resolved